import React from 'react';
import styled from 'styled-components';
import { Image } from '../Image';
// TODO: https://github.com/salute-developers/plasma/issues/507
import { Headline4, Footnote1 } from '../Typography';
import { Carousel, CarouselItem } from '.';
var items = /*#__PURE__*/Array(25).fill({
  title: 'Заголовок',
  subtitle: 'Описание уравнение времени, сублимиpуя с повеpхности ядpа кометы, вращает реликтовый ледник',
  imageSrc: 'images/320_320_n.jpg'
}).map(function (_ref, i) {
  var title = _ref.title,
    subtitle = _ref.subtitle,
    imageSrc = _ref.imageSrc;
  return {
    id: i,
    title: "".concat(title, " ").concat(i),
    subtitle: "".concat(subtitle, " ").concat(i),
    imageSrc: imageSrc.replace('n', i % 12)
  };
});
var StyledCard = /*#__PURE__*/styled.div.withConfig({
  componentId: "plasma-b2c__sc-1nukb5m-0"
})(["position:relative;border-radius:1rem;"]);
var StyledCardContent = /*#__PURE__*/styled.div.withConfig({
  componentId: "plasma-b2c__sc-1nukb5m-1"
})(["position:absolute;left:0;right:0;bottom:0;padding:1.72rem;color:#fff;"]);
var defaultCarouselStyle = {
  margin: '0 -0.5rem'
};
var defaultCarouselItemStyle = {
  width: 550,
  padding: '0 0.5rem'
};
var onIndexChange = function onIndexChange() {};
var defaultProps = {
  align: 'center'
};
export var Default = function Default() {
  var align = defaultProps.align;
  return /*#__PURE__*/React.createElement(Carousel, {
    style: defaultCarouselStyle,
    index: 0,
    detectActive: true,
    onIndexChange: onIndexChange,
    scrollAlign: align
  }, items.map(function (item) {
    return /*#__PURE__*/React.createElement(CarouselItem, {
      key: item.id,
      style: defaultCarouselItemStyle,
      scrollSnapAlign: align
    }, /*#__PURE__*/React.createElement(StyledCard, null, /*#__PURE__*/React.createElement(Image, {
      src: item.imageSrc,
      ratio: "16 / 9",
      base: "div"
    }), /*#__PURE__*/React.createElement(StyledCardContent, null, /*#__PURE__*/React.createElement(Headline4, null, item.title), /*#__PURE__*/React.createElement(Footnote1, null, item.subtitle))));
  }));
};